<div class="prx-wrapper">
    <h1>Hello, I'm supposed to be a iframe!</h1>
      <div class="prx-button prx-tertiary">
   <a id="btnPopModal" >click me to open popup in parent</a>
    </div>
   <p>Hello{{> username}},
</div>

<script src="{{toolkit.mbaseurl}}/assets/toolkit/scripts/vendor/jquery.min.js"></script>
	<script src="{{toolkit.mbaseurl}}/assets/toolkit/scripts/prx-all-min.js"></script>
<script>
    $j(function() {
        $j('#btnPopModal').on('click', function(e) {
            //  here's the fun part, pay attention!
            var $body = $j(window.frameElement).parents('body'),
                trigger = $body.find('#trigger-modal-1');
                dlg = $body.find('#myModal');
                trigger[0].click();
        });
    })
</script>